/// created by ricpe13 ///
#include <bits/stdc++.h>
using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
    /////////////////////////////////


    long long n,j;
    cin >> n >> j;
    int a[n][j];
    for (int i=0;i<n;i++){
        for (int o=0;o<j;o++){
            cin >> a[i][o];
        }
    }
    cout << "-1" << endl;

    return 0;
}